<template>
  <div
    @click="onClick"
    class="text-center ryzom-framed p-4 h-100 effect-enlarge cursor-pointer text-decoration-none text-link-color"
    style="background: rgba(0,0,0,0.9)"
  >
    <h2
      v-html="$marked($t('returning.resub.title'))"
      class="text-uppercase"
    ></h2>
    <font-awesome-icon
      :icon="['fas', 'file-signature']"
      style="font-size: 5rem;"
      class="mt-4 mb-4 d-none d-lg-inline"
    ></font-awesome-icon>
    <p class="font-large text-white">
      {{ $t('returning.resub.text') }}
      <b-button
        @click.stop="onClickMore"
        size="sm"
        variant="primary"
        class="ml-2 mr-2 text-uppercase"
      >
        {{ $t('returning.resub.link') }}
      </b-button>
    </p>
  </div>
</template>

<script>
export default {
  methods: {
    onClick() {
      this.$emit('clicked');
    },
    onClickMore() {
      this.$emit('more');
    },
  },
};
</script>
